aboutsummaryrefslogtreecommitdiff
path: root/fuzz/Jellyfin.Server.Fuzz/fuzz.sh
diff options
context:
space:
mode:
Diffstat (limited to 'fuzz/Jellyfin.Server.Fuzz/fuzz.sh')
-rwxr-xr-xfuzz/Jellyfin.Server.Fuzz/fuzz.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/fuzz/Jellyfin.Server.Fuzz/fuzz.sh b/fuzz/Jellyfin.Server.Fuzz/fuzz.sh
new file mode 100755
index 0000000000..ad81e2c355
--- /dev/null
+++ b/fuzz/Jellyfin.Server.Fuzz/fuzz.sh
@@ -0,0 +1,11 @@
+#!/bin/sh
+
+set -e
+
+dotnet build -c Release ../../Jellyfin.Server/Jellyfin.Server.csproj --output bin
+sharpfuzz bin/jellyfin.dll
+cp bin/jellyfin.dll .
+
+dotnet build
+mkdir -p Findings
+AFL_SKIP_BIN_CHECK=1 afl-fuzz -i "Testcases/$1" -o "Findings/$1" -t 5000 -m 10240 dotnet bin/Debug/net5.0/Jellyfin.Server.Fuzz.dll "$1"